Name: smb4k
Version: 0.9.3
Release: alt1

Summary: Samba (SMB/CIFS) share browser for KDE
Summary(ru_RU.KOI8-R):     Samba (SMB/CIFS)  KDE
License: GPL
Group: Networking/Other
Url: http://smb4k.berlios.de/

Packager: Damir Shayhutdinov <damir@altlinux.ru>

Source0: http://download.berlios.de/smb4k/%name-%version.tar.bz2
Source1: smb4k.sudo.d
Source2: README.ALT-ru_RU.KOI8-R
Patch6: smb4k-0.8.6-alt-desktop.patch

Requires: lib%name = %version-%release

# Automatically added by buildreq on Sun Jul 03 2005 (-bi), then purged
# bloating dependencies on python-base python-modules-compiler python-modules-encodings
# kde-settings libqt3-settings
BuildRequires: fontconfig freetype2 gcc-c++ kdebase-devel kdebase-konqueror kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel menu-devel xml-utils xorg-x11-devel zlib-devel

BuildRequires: libqt3-devel >= 3.2.0 kdelibs-devel >= 3.2.0

%description
Smb4K is a Samba (SMB/CIFS) share browser for KDE. Its aim is to provide a tool
for an easy access to the SMB shares of your local network neighborhood.

This package contains standalone (independent of Konqueror) version of Smb4K.
The Smb4K Konqueror plugin is contained in smb4k-konqueror package.

%description -l ru_RU.KOI8-R
Smb4K -     Samba (SMB/CIFS)  KDE.  
-        SMB/CIFS  
 .

    (  Konqueror)  Smb4K.
 Smb4K  Konqueror    smb4k-konqueror.

%package konqueror
Summary: Smb4K Konqueror plugin
Group: Networking/Other
Requires: lib%name = %version-%release

%description konqueror
Smb4K is a Samba (SMB/CIFS) share browser for KDE. Its aim is to provide a tool
for an easy access to the SMB shares of your local network neighborhood.

This package contains the Smb4K Konqueror plugin. Standalone version of Smb4K
is contained in smb4k package.

%description konqueror -l ru_RU.KOI8-R
Smb4K -     Samba (SMB/CIFS)  KDE.  
-        SMB/CIFS  
 .

    Smb4K  Konqueror.   Smb4K
   smb4k.

%package common
Summary: Smb4K common files
Group: Networking/Other
Requires: samba-client kdeutils-kwallet >= 3.2.0

%description common
This package contains the Smb4K common files.

%package -n lib%name
Summary: Smb4K shared libraries
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kdelibs}

%description -n lib%name
This package contains the Smb4K shared libraries.

%package -n lib%name-devel
Summary: Smb4K include files and development libraries
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains the Smb4K include files and development libraries
required when building applications which are going to use Smb4K shared
libraries.

%prep
%setup -q -n %name-%version

%__mv -f COPYING COPYING.orig
%__ln_s $(relative %_licensedir/GPL-2 %_docdir/%name/COPYING) COPYING

%patch6 -p1

# change the directory under which the shares will be mounted
# to ~/mnt by default (closes #6440) - last verified for 0.7.4
find . -type f -exec %__subst s,"\(QDir::homeDirPath()\.append([[:space:]]*\"/\)smb4k\(/\"[[:space:]]*)\)","\1mnt\2", \{\} -p \;

%__install -p -m0644 %SOURCE2 .

%build
# remake the GNU Build System files
/bin/sh admin/cvs.sh dist

# work around absence of .la files in ALT
%__subst s/"\.la"/".so"/ configure

export LDFLAGS="-L%_libdir/qt3/lib"
# make verify-elf happy
%configure --disable-rpath
%make_build

%install
%make_install DESTDIR=%buildroot install
%__install -p -m0400 -D %SOURCE1 %buildroot%_sysconfdir/sudo.d/%name

%find_lang %name

# trick to avoid packaging of directories which belong to kde-common package
(cd %buildroot%_iconsdir ; find crystalsvg ! -type d -printf "%_iconsdir/%%p\n") > other.list

%__ln_s $(relative %_docdir/%name-common-%version %_docdir/%name-%version) %buildroot/%_docdir/%name-%version
%__ln_s $(relative %_docdir/%name-common-%version %_docdir/%name-konqueror-%version) %buildroot/%_docdir/%name-konqueror-%version

%post
%update_menus

%postun
%clean_menus

%files -f other.list
%_docdir/%name-%version
%_bindir/%name
%_Kmenudir/%name.desktop
%_datadir/apps/%{name}*
%_libkde/lib%{name}*.so
%_Kcfg/%name.kcfg

%files konqueror
%_docdir/%name-konqueror-%version
%_libdir/kde3/konqsidebar_%{name}.*
%_datadir/apps/konqsidebartng/add/%{name}_add.desktop

%files common -f %name.lang
%doc AUTHORS BUGS ChangeLog README TODO README.ALT-ru_RU.KOI8-R
%doc --no-dereference COPYING
%attr(0400,root,root) %config(noreplace) %_sysconfdir/sudo.d/%name
%_bindir/%{name}_*
%_datadir/apps/%name/
%_docdir/HTML/*/%name/

%files -n lib%name
%_libdir/lib%{name}*.so.*

%files -n lib%name-devel
%_includedir/%{name}*.h
%_libdir/lib%{name}*.so

%changelog
* Sat Mar 29 2008 Damir Shayhutdinov <damir@altlinux.ru> 0.9.3-alt1
- 0.9.3
  + Warning! Configuration from 0.8.x IS NOT COMPATIBLE. 
  + Backup ~/.kde/share/config/smb4krc before use

* Sat Nov 10 2007 Damir Shayhutdinov <damir@altlinux.ru> 0.8.6-alt1
- 0.8.6 (bugfix release) 

* Mon Apr 09 2007 Damir Shayhutdinov <damir@altlinux.ru> 0.8.1-alt1
- 0.8.1 (security bugfix release) 

* Thu Feb 01 2007 Damir Shayhutdinov <damir@altlinux.ru> 0.8.0-alt1
- 0.8.0 

* Wed Nov 22 2006 Andrei Bulava <abulava@altlinux.ru> 0.7.4-alt1
- 0.7.4

* Tue Oct 10 2006 Andrei Bulava <abulava@altlinux.ru> 0.7.3-alt1
- 0.7.3

* Wed Aug 16 2006 Andrei Bulava <abulava@altlinux.ru> 0.7.2-alt1
- 0.7.2

* Fri Jun 30 2006 Andrei Bulava <abulava@altlinux.ru> 0.7.1-alt1
- 0.7.1
- updated alt-desktop.patch

* Thu May 11 2006 Andrei Bulava <abulava@altlinux.ru> 0.7.0-alt1
- 0.7.0
- updated patches:
  + alt-la_libadd-makefile
  + alt-sudoers
- replaced COPYING with a symlink to the system-wide GPL-2 text
- updated README.ALT to reflect upstream changes

* Mon Apr 17 2006 Andrei Bulava <abulava@altlinux.ru> 0.6.9-alt1
- 0.6.9

* Fri Feb 24 2006 Andrei Bulava <abulava@altlinux.ru> 0.6.7-alt1
- 0.6.7

* Fri Jan 13 2006 Andrei Bulava <abulava@altlinux.ru> 0.6.5-alt1
- 0.6.5
- updated alt-sudoers.patch
- freshened README.ALT to reflect upstream changes
- fixed smb4k.desktop file (desktop.patch)

* Thu Nov 03 2005 Andrei Bulava <abulava@altlinux.ru> 0.6.4-alt1
- 0.6.4
- got rid of the absolute symlinks under my control

* Wed Sep 07 2005 Andrei Bulava <abulava@altlinux.ru> 0.6.3-alt1
- 0.6.3
- updated la_libadd-makefile.patch
- no more requires automake 1.8 (fixed in upstream)

* Tue Aug 30 2005 Andrei Bulava <abulava@altlinux.ru> 0.6.1-alt2
- fixed #6440 (changing the directory under which the shares will
  be mounted to ~/mnt by default)

* Thu Aug 25 2005 Andrei Bulava <abulava@altlinux.ru> 0.6.1-alt1
- 0.6.1
- updated alt-sudoers.patch
- minor spec fixes regarding build process

* Tue Jul 05 2005 Andrei Bulava <abulava@altlinux.ru> 0.6.0-alt1
- 0.6.0
- removed alt-cifs_iocharset.patch (fixed in upstream)
- split package conforming with redesign of Smb4K

* Tue May 17 2005 Andrei Bulava <abulava@altlinux.ru> 0.5.2-alt1
- 0.5.2
- added support for "iocharset" option for cifs mounts

* Tue Feb 01 2005 Andrei Bulava <abulava@altlinux.ru> 0.5.1-alt1
- 0.5.1
- removed alt-smb4k_umount-execvp patch (fixed in upstream)

* Wed Jan 26 2005 Andrei Bulava <abulava@altlinux.ru> 0.5.0-alt1
- 0.5.0
- removed pl.po-UTF-8 patch (fixed in upstream)
- removed alt-client_side_cp1251 patch (merged upstream)
- worked around broken findprog() function in utilities/smb4k_umount.cpp
- /etc/sudoers editing by smb4k was considered insecure and harmful, so
  super user actions, which depend on sudo, should be activated in
  /etc/sudo.d/smb4k via visudo so far (see README.ALT); thanks to Nick S.
  Grechukh (gns@) for a patch and suggestions

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.4.1a-alt2.1
- Rebuilt with libstdc++.so.6.

* Wed Oct 27 2004 Andrei Bulava <abulava@altlinux.ru> 0.4.1a-alt2
- added Russian summary and description
- added cp1251 charset support on client side

* Fri Oct 01 2004 Andrei Bulava <abulava@altlinux.ru> 0.4.1a-alt1
- initial build for ALT Linux; based on specfile by Marcin Garski

